Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Mozilla Thunderbird
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Mozilla Thunderbird
ID: openSUSE-SU-2018:1361-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3, SUSE openSUSE Leap 15.0
Datum: Mo, 21. Mai 2018, 10:01
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5162
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5154
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5170
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5184
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5183
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5168
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5178
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5150
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5155
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5185
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5174
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5159
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5161
Applikationen: Mozilla Thunderbird

Originalnachricht

   openSUSE Security Update: Security update for Mozilla Thunderbird
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:1361-1
Rating: important
References: #1092548 #1093152
Cross-References: CVE-2018-5150 CVE-2018-5154 CVE-2018-5155
CVE-2018-5159 CVE-2018-5161 CVE-2018-5162
CVE-2018-5168 CVE-2018-5170 CVE-2018-5174
CVE-2018-5178 CVE-2018-5183 CVE-2018-5184
CVE-2018-5185
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes 13 vulnerabilities is now available.

Description:

This update for Mozilla Thunderbird to version 52.8 fixes the following
issues:

Security issues fixed (MFSA 2018-13, boo#1092548):

- CVE-2018-5183: Backport critical security fixes in Skia
- CVE-2018-5154: Use-after-free with SVG animations and clip paths
- CVE-2018-5155: Use-after-free with SVG animations and text paths
- CVE-2018-5159: Integer overflow and out-of-bounds write in Skia
- CVE-2018-5168: Lightweight themes can be installed without user
interaction
- CVE-2018-5178: Buffer overflow during UTF-8 to Unicode string conversion
through legacy extension
- CVE-2018-5150: Memory safety bugs fixed in Firefox 60, Firefox ESR 52.8,
and Thunderbird 52.8
- CVE-2018-5161: Hang via malformed headers (bsc#1093970)
- CVE-2018-5162: Encrypted mail leaks plaintext through src attribute
(bsc#1093971)
- CVE-2018-5170: Filename spoofing for external attachments (bsc#1093972)
- CVE-2018-5184: Full plaintext recovery in S/MIME via chosen-ciphertext
attack (bsc#1093969)
- CVE-2018-5185: Leaking plaintext through HTML forms (bsc#1093973)


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-486=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-486=1



Package List:

- openSUSE Leap 42.3 (x86_64):

MozillaThunderbird-52.8-63.1
MozillaThunderbird-buildsymbols-52.8-63.1
MozillaThunderbird-debuginfo-52.8-63.1
MozillaThunderbird-debugsource-52.8-63.1
MozillaThunderbird-devel-52.8-63.1
MozillaThunderbird-translations-common-52.8-63.1
MozillaThunderbird-translations-other-52.8-63.1

- openSUSE Leap 15.0 (x86_64):

MozillaThunderbird-52.8-lp150.3.3.2
MozillaThunderbird-buildsymbols-52.8-lp150.3.3.2
MozillaThunderbird-debuginfo-52.8-lp150.3.3.2
MozillaThunderbird-debugsource-52.8-lp150.3.3.2
MozillaThunderbird-devel-52.8-lp150.3.3.2
MozillaThunderbird-translations-common-52.8-lp150.3.3.2
MozillaThunderbird-translations-other-52.8-lp150.3.3.2


References:

https://www.suse.com/security/cve/CVE-2018-5150.html
https://www.suse.com/security/cve/CVE-2018-5154.html
https://www.suse.com/security/cve/CVE-2018-5155.html
https://www.suse.com/security/cve/CVE-2018-5159.html
https://www.suse.com/security/cve/CVE-2018-5161.html
https://www.suse.com/security/cve/CVE-2018-5162.html
https://www.suse.com/security/cve/CVE-2018-5168.html
https://www.suse.com/security/cve/CVE-2018-5170.html
https://www.suse.com/security/cve/CVE-2018-5174.html
https://www.suse.com/security/cve/CVE-2018-5178.html
https://www.suse.com/security/cve/CVE-2018-5183.html
https://www.suse.com/security/cve/CVE-2018-5184.html
https://www.suse.com/security/cve/CVE-2018-5185.html
https://bugzilla.suse.com/1092548
https://bugzilla.suse.com/1093152

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung